/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreProcessvar;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreProcessvarRecord extends TableRecordImpl<VCoreProcessvarRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_processvar.fk_processvar</code>.
     */
    public void setFkProcessvar(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_processvar.fk_processvar</code>.
     */
    public Integer getFkProcessvar() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_processvar.element_name</code>.
     */
    public void setElementName(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_processvar.element_name</code>.
     */
    public String getElementName() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_processvar.processtype_name</code>.
     */
    public void setProcesstypeName(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_processvar.processtype_name</code>.
     */
    public String getProcesstypeName() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_processvar.referenced_name</code>.
     */
    public void setReferencedName(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_processvar.referenced_name</code>.
     */
    public String getReferencedName() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_processvar.description</code>.
     */
    public void setDescription(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_processvar.description</code>.
     */
    public String getDescription() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreProcessvarRecord
     */
    public VCoreProcessvarRecord() {
        super(VCoreProcessvar.V_CORE_PROCESSVAR);
    }

    /**
     * Create a detached, initialised VCoreProcessvarRecord
     */
    public VCoreProcessvarRecord(Integer fkProcessvar, String elementName, String processtypeName, String referencedName, String description) {
        super(VCoreProcessvar.V_CORE_PROCESSVAR);

        setFkProcessvar(fkProcessvar);
        setElementName(elementName);
        setProcesstypeName(processtypeName);
        setReferencedName(referencedName);
        setDescription(description);
        resetChangedOnNotNull();
    }
}
